# Documentation Specfile
%define baserelease 9

Name:           Virtualization
Version:        5.2
Release:        %{baserelease}%{?dist}
Summary:        Virtualization Guide
Group:          Documentation
License:        OPL + Restrictions
URL:            http://www.redhat.com/docs
Source0:         %{name}-%{version}-%{baserelease}.tgz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{baserelease}-root-%(%{__id_u} -n)
Requires(post,postun): coreutils

%description
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

%package -n %{name}-en-US
Summary:    Virtualization Guide
Group:      Documentation
Requires(post,postun): coreutils

%description -n %{name}-en-US
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Virtualization Guide
Name[en-US]=Virtualization Guide
Name[as-IN]=Virtualization Guide
Name[bn-IN]=Virtualization Guide
Name[de-DE]=Virtualization Guide
Name[es-ES]=Virtualization Guide
Name[fr-FR]=Virtualization Guide
Name[gu-IN]=Virtualization Guide
Name[hi-IN]=Virtualization Guide
Name[it-IT]=Virtualization Guide
Name[ja-JP]=Virtualization Guide
Name[kn-IN]=Virtualization Guide
Name[ko-KR]=Virtualization Guide
Name[ml-IN]=Virtualization Guide
Name[mr-IN]=Virtualization Guide
Name[or-IN]=Virtualization Guide
Name[pa-IN]=Virtualization Guide
Name[pt-BR]=Virtualization Guide
Name[ru-RU]=Virtualization Guide
Name[si-LK]=Virtualization Guide
Name[ta-IN]=Virtualization Guide
Name[te-IN]=Virtualization Guide
Name[zh-CN]=Virtualization Guide
Name[zh-TW]=Virtualization Guide
Comment=Enterprise Linux
Exec=yelp ghelp:%{name}
#Exec=yelp %{_docdir}/%{name}-en-US-%{version}/Virtualization.xml
Icon=%{_docdir}/%{name}-en-US-%{version}/images/icon.svg
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/help/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}-en-US
%define _locale %(echo en-US |sed 's/-/_/')
if [ -d /usr/share/gnome/help/%{name}/%{_locale} ]; then
	rm -rf /usr/share/gnome/help/%{name}/%{_locale}
fi
ln -sf %{_docdir}/%{name}-en-US-%{version} /usr/share/gnome/help/%{name}/%{_locale};
if [ -d /usr/share/gnome/help/%{name}/C ]; then
	rm -rf /usr/share/gnome/help/%{name}/C
fi
ln -sf %{_docdir}/%{name}-en-US-%{version} /usr/share/gnome/help/%{name}/C;

%postun -n %{name}-en-US
rm -rf /usr/share/gnome/help/%{name}

%posttrans -n %{name}-en-US
%define _locale %(echo en-US |sed 's/-/_/')
if [ -d %{_docdir}/%{name}-en-US-%{version} ]; then
	mkdir -p /usr/share/gnome/help/%{name}
	if [ -d /usr/share/gnome/help/%{name}/%{_locale} ]; then
		rm -rf /usr/share/gnome/help/%{name}/%{_locale}
	fi
	ln -sf %{_docdir}/%{name}-en-US-%{version} /usr/share/gnome/help/%{name}/%{_locale};
	if [ -d /usr/share/gnome/help/%{name}/C ]; then
		rm -rf /usr/share/gnome/help/%{name}/C
	fi
	ln -sf %{_docdir}/%{name}-en-US-%{version} /usr/share/gnome/help/%{name}/C;
fi

%files -n %{name}-en-US
%defattr(-,root,root,-)
%doc en-US/*
/usr/share/applications/%{name}.desktop
/usr/share/gnome/help/%{name}


%package -n %{name}-as-IN
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-as-IN
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-as-IN -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-as-IN -p /usr/bin/scrollkeeper-update

%files -n %{name}-as-IN
%defattr(-,root,root,-)
%doc as-IN/*



%package -n %{name}-bn-IN
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-bn-IN
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-bn-IN -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-bn-IN -p /usr/bin/scrollkeeper-update

%files -n %{name}-bn-IN
%defattr(-,root,root,-)
%doc bn-IN/*



%package -n %{name}-de-DE
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-de-DE
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-de-DE -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-de-DE -p /usr/bin/scrollkeeper-update

%files -n %{name}-de-DE
%defattr(-,root,root,-)
%doc de-DE/*



%package -n %{name}-es-ES
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-es-ES
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-es-ES -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-es-ES -p /usr/bin/scrollkeeper-update

%files -n %{name}-es-ES
%defattr(-,root,root,-)
%doc es-ES/*



%package -n %{name}-fr-FR
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-fr-FR
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-fr-FR -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-fr-FR -p /usr/bin/scrollkeeper-update

%files -n %{name}-fr-FR
%defattr(-,root,root,-)
%doc fr-FR/*



%package -n %{name}-gu-IN
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-gu-IN
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-gu-IN -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-gu-IN -p /usr/bin/scrollkeeper-update

%files -n %{name}-gu-IN
%defattr(-,root,root,-)
%doc gu-IN/*



%package -n %{name}-hi-IN
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-hi-IN
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-hi-IN -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-hi-IN -p /usr/bin/scrollkeeper-update

%files -n %{name}-hi-IN
%defattr(-,root,root,-)
%doc hi-IN/*



%package -n %{name}-it-IT
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-it-IT
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-it-IT -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-it-IT -p /usr/bin/scrollkeeper-update

%files -n %{name}-it-IT
%defattr(-,root,root,-)
%doc it-IT/*



%package -n %{name}-ja-JP
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-ja-JP
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-ja-JP -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-ja-JP -p /usr/bin/scrollkeeper-update

%files -n %{name}-ja-JP
%defattr(-,root,root,-)
%doc ja-JP/*



%package -n %{name}-kn-IN
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-kn-IN
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-kn-IN -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-kn-IN -p /usr/bin/scrollkeeper-update

%files -n %{name}-kn-IN
%defattr(-,root,root,-)
%doc kn-IN/*



%package -n %{name}-ko-KR
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-ko-KR
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-ko-KR -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-ko-KR -p /usr/bin/scrollkeeper-update

%files -n %{name}-ko-KR
%defattr(-,root,root,-)
%doc ko-KR/*



%package -n %{name}-ml-IN
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-ml-IN
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-ml-IN -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-ml-IN -p /usr/bin/scrollkeeper-update

%files -n %{name}-ml-IN
%defattr(-,root,root,-)
%doc ml-IN/*



%package -n %{name}-mr-IN
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-mr-IN
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-mr-IN -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-mr-IN -p /usr/bin/scrollkeeper-update

%files -n %{name}-mr-IN
%defattr(-,root,root,-)
%doc mr-IN/*



%package -n %{name}-or-IN
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-or-IN
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-or-IN -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-or-IN -p /usr/bin/scrollkeeper-update

%files -n %{name}-or-IN
%defattr(-,root,root,-)
%doc or-IN/*



%package -n %{name}-pa-IN
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-pa-IN
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-pa-IN -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-pa-IN -p /usr/bin/scrollkeeper-update

%files -n %{name}-pa-IN
%defattr(-,root,root,-)
%doc pa-IN/*



%package -n %{name}-pt-BR
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-pt-BR
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-pt-BR -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-pt-BR -p /usr/bin/scrollkeeper-update

%files -n %{name}-pt-BR
%defattr(-,root,root,-)
%doc pt-BR/*



%package -n %{name}-ru-RU
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-ru-RU
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-ru-RU -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-ru-RU -p /usr/bin/scrollkeeper-update

%files -n %{name}-ru-RU
%defattr(-,root,root,-)
%doc ru-RU/*



%package -n %{name}-si-LK
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-si-LK
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-si-LK -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-si-LK -p /usr/bin/scrollkeeper-update

%files -n %{name}-si-LK
%defattr(-,root,root,-)
%doc si-LK/*



%package -n %{name}-ta-IN
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-ta-IN
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-ta-IN -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-ta-IN -p /usr/bin/scrollkeeper-update

%files -n %{name}-ta-IN
%defattr(-,root,root,-)
%doc ta-IN/*



%package -n %{name}-te-IN
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-te-IN
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-te-IN -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-te-IN -p /usr/bin/scrollkeeper-update

%files -n %{name}-te-IN
%defattr(-,root,root,-)
%doc te-IN/*



%package -n %{name}-zh-CN
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-zh-CN
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-zh-CN -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-zh-CN -p /usr/bin/scrollkeeper-update

%files -n %{name}-zh-CN
%defattr(-,root,root,-)
%doc zh-CN/*



%package -n %{name}-zh-TW
Summary: Virtualization Guide
Group: Documentation
Requires: %{name}-en-US = %{version}-%{release}
Requires(post,postun): coreutils

%description -n %{name}-zh-TW
The Enterprise Linux Virtualization Guide contains
information on installation, configuring, administering, tips,
tricks and troubleshooting Virtualization technologies used in 
Enterprise Linux.

#%post -n %{name}-zh-TW -p /usr/bin/scrollkeeper-update

#%postun -n %{name}-zh-TW -p /usr/bin/scrollkeeper-update

%files -n %{name}-zh-TW
%defattr(-,root,root,-)
%doc zh-TW/*




%changelog
* Wed May 28 2008 Johnny Hughes <johnny@centos.org> 5.2-9.el5.centos
- Removed upstream branding

* Thu Apr 17 2008 jfearn@redhat.com 5.2-9
- Resolves: #440295

* Mon Mar 31 2008 Christopher Curran ccurran@redhat.com 5.2-7
- Resolves: #322761
- Many spelling and grammar errors corrected.
- Chapter on Remote Management added.


* Tue Mar 19 2008 Christopher Curran ccurran@redhat.com 5.2-5
- Resolves: #428915
- New Virtualization Guide created.

